Bug 1285408 - (CVE-2015-2327) CVE-2015-2327 pcre: infinite recursion compiling pattern with zero-repeated groups that include recursive back reference (8.36/19)
CVE-2015-2327 pcre: infinite recursion compiling pattern with zero-repeated g...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20140711,repor...
: Reopened, Security
Depends On: 1119272 1119356 1285409
Blocks: 1285420
  Show dependency treegraph
 
Reported: 2015-11-25 09:33 EST by Adam Mariš
Modified: 2016-11-15 08:32 EST (History)
10 users (show)

See Also:
Fixed In Version: pcre 8.36
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-27 03:39:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-11-25 09:33:40 EST
A stack-based buffer overflow vulnerability was found in compile_regex(), triggered via crafted regular expression.

Upstream bug (contains reproducer):

https://bugs.exim.org/show_bug.cgi?id=1503

Upstream patch:

http://vcs.pcre.org/pcre?view=revision&revision=1495

CVE request:

http://www.openwall.com/lists/oss-security/2015/05/31/5
Comment 1 Adam Mariš 2015-11-25 09:34:14 EST
Created pcre tracking bugs for this issue:

Affects: fedora-all [bug 1285409]
Comment 2 Petr Pisar 2015-11-25 11:25:43 EST
Upstream fixed it in 8.36 version. A reproducer is crash when compiling /(((a\2)|(a*)\g<-1>))*a?/BZ expression in pcretest tool.
Comment 3 Petr Pisar 2015-11-25 11:34:21 EST
This was fixed with pcre-8.35-4.fc21 in Fedora on 2014-07-14. No supported Fedora is affected now.
Comment 4 Tomas Hoger 2016-02-18 06:43:14 EST
This is not a stack based buffer overflow, but stack overflow, caused by infinite recursion.  The impact of this issue is limited to crash.

The problem was introduced upstream between version 8.00 and 8.01.
Comment 6 Petr Pisar 2016-04-27 03:04:43 EDT
This has already been fixed with pcre-8.32-15.el7 as bug #1119356. RHEL-7.2 is not affected.
Comment 7 Tomas Hoger 2016-04-27 03:39:16 EDT
Ok, thank you for the correction.  So the fix is included in pcre packages released via RHBA-2015:2142, which is part of Red Hat Enterprise Linux 7.2 update:

https://rhn.redhat.com/errata/RHBA-2015-2142.html
Comment 9 errata-xmlrpc 2016-11-15 06:47:29 EST
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.2 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS

Via RHSA-2016:2750 https://rhn.redhat.com/errata/RHSA-2016-2750.html

Note You need to log in before you can comment on or make changes to this bug.